Subject: Re: bug#15828: behavior of ls -f

From: Bernhard Voelker <[email-masked]>
Date: Thu, 07 Nov 2013 22:34:53 +0100

On 11/07/2013 07:54 PM, Aharon Robbins wrote:
> And even if I set POSIXLY_CORRECT GNU/Linux ls doesn't turn off -l.

Maybe I've misread the whole thread, but GNU coreutils ls(1) turns
off -l when the -f option follows:

  $ src/ls -lf AUTHORS NEWS
  AUTHORS  NEWS

while -l wins after -f:

  $ src/ls -fl AUTHORS NEWS
  -rw-r--r-- 1 berny users   3669 Feb 10  2013 AUTHORS
  -rw-r--r-- 1 berny users 167110 Nov  5 08:52 NEWS

I don't see an issue there.

Have a nice day,
Berny